function [m0,m1,t0,t1] = checkPR(h0,h1,h2)
% [m0, m1] = checkPR(h0,h1,h2)
% Check perfect reconstructions conditions.

N = length(h0);

r0 = conv(h0,flip(h0));
r1 = conv(h1,flip(h1));
r2 = conv(h2,flip(h2));

t0 = r0 + r1 + 2*r2;
% subplot(2,1,1), stem(t0,'.')

v = (-1).^(0:N-1);
s0 = conv(h0.*v,flip(h0));
s1 = conv(h1.*v,flip(h1));

t1 = s0 + s1;
% subplot(2,1,2), stem(t1,'.')

m0 = max(abs([t0(1:N-1) t0(N)-2]));
m1 = max(abs(t1));

