
path(path,'../design')

% ---------------------------------------------------

[h0,h1,h2,z0,z1,z2] = MakeFilters(1,1);
h1 = -h1;
h2 = -h2;
[h0' h1' h2']
figure(1)
plot_wlets(h0,h1,h2);
print -deps 'figures/K11'

% ---------------------------------------------------

[h0,h1,h2,z0,z1,z2] = MakeFilters(1,3);
h1 = -h1;
[h0' h1' h2']
figure(1)
plot_wlets(h0,h1,h2,z0,z1,z2);
print -deps 'figures/K13'

figure(2)
plot_H(h0,h1,h2)
print -deps 'figures/K13_H'

figure(3), clf
titlestring = 'NEW EXPANSIVE DWT';
plot_iterfilt(h0,h1,h2,titlestring)
print -deps 'figures/K13_iterfilt'


% Daubechies with K = 3 vanishing moments
K = 3;
[h0, h1] = daub(K);
h2 = 0*h1;
figure(4), clf
titlestring = 'CRITICALLY-SAMPLED DWT';
plot_iterfilt(h0,h1,h2,titlestring)
print -deps 'figures/Daub3_iterfilt'

% ---------------------------------------------------

[h0,h1,h2,z0,z1,z2] = MakeFilters(1,4,'mid');
[h0' h1' h2']

figure(1)
plot_wlets(h0,h1,h2,z0,z1,z2);
print -deps 'figures/K14'

% ---------------------------------------------------

[h0,h1,h2,z0,z1,z2] = MakeFilters(3,2,'mid');
h1 = -h1;
[h0' h1' h2']

figure(1)
plot_wlets(h0,h1,h2);
print -deps 'figures/K32'

figure(2)
plot_H(h0,h1,h2)
print -deps 'figures/K32_H'

% ---------------------------------------------------

% Make Biframe Example

[h0,h1,h2,h0_,h1_,h2_,z0,z1,z2,z0_,z1_,z2_] = MakeBiframe;

figure(2)
plot_wlets(h0,h1,h2,z0,z1,z2);
print -deps 'figures/Bi14_Anal'

figure(3)
plot_H(h0,h1,h2)
print -deps 'figures/Bi14_Anal_H'

figure(4)
plot_wlets(h0_,h1_,h2_,z0_,z1_,z2_);
print -deps 'figures/Bi14_Synth'

figure(5)
plot_H(h0_,h1_,h2_)
print -deps 'figures/Bi14_Synth_H'

% ---------------------------------------------------

