function plot_iterfilt(h0,h1,h2,titlestring)

[h0,h1,h2,h0_,h1_,h2_,z0,z1,z2,z0_,z1_,z2_] = MakeBiframe;

f{1}{1} = h0_;
f{2}{1} = h1_;
f{3}{1} = h2_;

J = 3;
for j = 2:J
    for i = 1:3
        f{i}{j} = conv(h0,up(f{i}{j-1},2));
    end
end

clf

if 0
for j = 1:J
    subplot(J,2,2*(j-1)+2)
    stem(f{2}{j},'.')
    subplot(J,2,2*(j-1)+1)
    stem(f{3}{j},'.')
end
end


lw = 1.15;	% linewidth
ms = 2;		% markersize


for j = 1:J
	k = 4*(j-1)+3;
    subplot(2*J,2,k)
    stem([0:length(f{2}{j})-1],f{2}{j},'filled','linewidth',lw,'markersize',ms)
	set(gca,'ytick',[]); if j == J, xlabel('n'), end;
	axis tight, ax = axis; axis([ax(1) ax(2) 1.25*ax(3:4)]);
	[H,w] = freqz(f{2}{j});
	subplot(2*J,2,k+1);
	plot(w/pi,abs(H).^2,'linewidth',lw);
	axis tight, ax = axis; axis([0 1 1.25*ax(3:4)]);
	set(gca,'ytick',[]);
	set(gca,'xtick',[0 0.25 0.5 0.75 1]);
	if j == J, xlabel('\omega/\pi'), end

	k = 4*(j-1)+1;
    subplot(2*J,2,k)
    stem([0:length(f{3}{j})-1],f{3}{j},'filled','linewidth',lw,'markersize',ms)
	set(gca,'ytick',[]); % xlabel('n')
	axis tight, ax = axis; axis([ax(1) ax(2) 1.25*ax(3:4)]);
	[H,w] = freqz(f{3}{j});
	subplot(2*J,2,k+1);
	plot(w/pi,abs(H).^2,'linewidth',lw);
	axis tight, ax = axis; axis([0 1 1.25*ax(3:4)]);
	set(gca,'xtick',[0 0.25 0.5 0.75 1]);
	set(gca,'ytick',[]);
	% xlabel('\omega/\pi')
end

% paperposition
paperpos = [2 2 7 9];    % [left, bottom, width, height]

set(gcf, 'PaperPositionMode', 'manual');
set(gcf, 'PaperUnits', 'inches');
set(gcf, 'PaperPosition', paperpos);

print -depsc 'figures/iterfilt_hH'


