function plotwlets(h0,h1,h2,z0,z1,z2)

if nargin < 4, z0 = roots(h0); end
if nargin < 5, z1 = roots(h1); end
if nargin < 6, z2 = roots(h2); end

[w1,s,t] = wletfn(h0,h1);
[w2,s,t] = wletfn(h0,h2);
N = length(h0);

clf
fsa = 6;
R = 5;
ms = 3;

title_fs = 7; % title font size

subplot(R,3,1), 
% [p1,p2,p3] = zplane([-ones(k0,1); roots(a)]); xlabel(''); ylabel('');
[p1,p2,p3] = zplane(z0); xlabel(''); ylabel('');
if length(p3)>1, set(p3(2),'fontsize',8); end
set(gca,'fontsize',fsa)
set(p1,'markersize',ms);
title('Zeros of H_0(z)','fontsize',title_fs)

% axis([-2.5 1.2 -1.2 1.2]), axis equal
subplot(R,3,4), 
[p1,p2,p3] = zplane(z1); xlabel(''); ylabel('');
set(gca,'fontsize',fsa)
set(p1,'markersize',ms);
% set(p3(2),'fontsize',8)
if length(p3)> 2, set(p3(3),'fontsize',8), end
% axis([-2.5 1.2 -1.2 1.2]), axis equal
title('Zeros of H_1(z)','fontsize',title_fs)

subplot(R,3,7), 
[p1,p2,p3] = zplane(z2); xlabel(''); ylabel('');
set(gca,'fontsize',fsa)
set(p1,'markersize',ms);
if length(p3)>1, set(p3(2),'fontsize',8), end
if length(p3)>2, set(p3(3),'fontsize',8), end
% axis([-2.5 1.2 -1.2 1.2]), axis equal
title('Zeros of H_2(z)','fontsize',title_fs)

ax = [-1 N -1 1.0];
subplot(R,3,2), stem(0:N-1,h0,'.'), axis(ax)
set(gca,'fontsize',fsa)
title('h_0(n)','fontsize',title_fs)
subplot(R,3,5), stem(0:N-1,h1,'.'), axis(ax)
set(gca,'fontsize',fsa)
title('h_1(n)','fontsize',title_fs)
subplot(R,3,8), stem(0:N-1,h2,'.'), axis(ax)
set(gca,'fontsize',fsa)
title('h_2(n)','fontsize',title_fs)

ax0 = [0 N-1 -0.5 1.5];
ax = [0 N-1 -1 1.0];
subplot(R,3,3), plot(t,s),  axis(ax0)
set(gca,'fontsize',fsa)
title('\phi(t)','fontsize',title_fs)
subplot(R,3,6), plot(t,w1), axis(ax)
set(gca,'fontsize',fsa)
title('\psi_1(t)','fontsize',title_fs)
subplot(R,3,9), plot(t,w2), axis(ax)
set(gca,'fontsize',fsa)
title('\psi_2(t)','fontsize',title_fs)

orient tall
% orient portrait



